package cn.com.poc.expose.dto;

import java.io.Serializable;

public class DialoguesContextDto implements Serializable {


    /**
     * role
     * 角色 user-用户  assistant-助手
     */
    private java.lang.String role;

    public java.lang.String getRole() {
        return this.role;
    }

    public void setRole(java.lang.String role) {
        this.role = role;
    }

    /**
     * agent_id
     * agent应用ID
     */
    private java.lang.String agentId;

    public java.lang.String getAgentId() {
        return this.agentId;
    }

    public void setAgentId(java.lang.String agentId) {
        this.agentId = agentId;
    }

    /**
     * content
     * 内容
     */
    private java.lang.String content;

    public java.lang.String getContent() {
        return this.content;
    }

    public void setContent(java.lang.String content) {
        this.content = content;
    }

    /**
     * 推理内容
     */
    private String reasoningContent;

    public String getReasoningContent() {
        return reasoningContent;
    }

    public void setReasoningContent(String reasoningContent) {
        this.reasoningContent = reasoningContent;
    }

    /**
     * timestamp
     * 时间戳
     */
    private java.lang.Long timestamp;

    public java.lang.Long getTimestamp() {
        return this.timestamp;
    }

    public void setTimestamp(java.lang.Long timestamp) {
        this.timestamp = timestamp;
    }

    /**
     * 应用名
     */
    private String agentTitle;

    public String getAgentTitle() {
        return agentTitle;
    }

    public void setAgentTitle(String agentTitle) {
        this.agentTitle = agentTitle;
    }

    /**
     * 应用头像
     */
    private String agentAvatar;

    public String getAgentAvatar() {
        return agentAvatar;
    }

    public void setAgentAvatar(String agentAvatar) {
        this.agentAvatar = agentAvatar;
    }

    /**
     * 对话图片
     */
    private String imageUrl;

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }
}
